# Function insertTenant

- insertTenant(subdomain, email?, description?, template?): Promise<string>

- Insert Tenant

  - normalize domain name
  - create db schema
  - reset db schema (create required )

  #### Parameters

  - ##### subdomain: string

    tenant name (subdomain)

  - ##### `Optional` email: string

    email of creator

  - ##### `Optional` description: string

    description of tenant

  - ##### `Optional` template: string

  #### Returns Promise<string>

  #### Function

  - Defined in saltcorn-admin-models/models/tenant.ts:59

Generated using TypeDoc